openssl: Disable PKCS#7/CMS when building against OpenSSL < 0.9.8g